1 Reply Latest reply on Mar 6, 2016 3:39 AM by Just Shoot Me

    lightroom issue !

    fkm21

      my Mac software is 10.8.5 and lightoom cannot be opened although i've bought it from adobe website itself. I've tried to reinstall it but it's still not working.

      However the next renew for monthly fees is on 19/3!!

        • 1. Re: lightroom issue !
          Just Shoot Me Adobe Community Professional

          The latest version of LR CC does not work on OS X 10.8.x. For the newest version of LR CC, 2015.4, you need at least OS X 10.9.x or above.

           

          LR CC 2015.1 and IIRC 2015.1.1 works on OS X 10.8.x. So you will need to either upgrade OS X from Mt Lion, 10.8, to at least Mavericks, 10.9, or Yosemite, 10.10. Or just stick with LR CC 2015.1/2015.1.1.

           

          Or if your Mac can't be upgraded beyond 10.8 then you will need a new Mac.